@import '_content/Blazor.Bootstrap/Blazor.Bootstrap.7t9tbfaemk.bundle.scp.css';

/* /Areas/Administration/AdministrationDashboardPage.razor.rz.scp.css */
.row[b-3b3iojkzzf] {
  display: flex;
  gap: 1rem;
  margin: 0;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
/* /Areas/Administration/ImportExport/Components/ImportExportDashboardPage.razor.rz.scp.css */
.row[b-lr6hs3p1ew] {
  display: flex;
  gap: 1rem;
  margin: 0;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
/* /Areas/Administration/Litter/Components/LitterAdministrationEditPage.razor.rz.scp.css */
.small-input[b-6k26d8fmko] {
  width: 56px;
}
.small-input :deep(input)[b-6k26d8fmko],
.small-input :deep(.form-control)[b-6k26d8fmko] {
  width: 100%;
  min-width: 100%;
}
/* /Areas/Administration/Matings/Components/OverviewMatingsAdministrationPage.razor.rz.scp.css */
[b-9typ1hb32y] .animal-mark {
  min-width: 124px;
}

[b-9typ1hb32y] .check {
  min-width: 46px;
}
/* /Areas/Analysis/Components/AnalysisDashboardPage.razor.rz.scp.css */
.row[b-pes7rllnsd] {
  display: flex;
  gap: 1rem;
  margin: 0;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
/* /Areas/Analysis/Components/Analysis/AnalysisDetailDashboardPage.razor.rz.scp.css */
.row[b-exor22yv38] {
  display: flex;
  gap: 1rem;
  margin: 0;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
/* /Areas/Analysis/Components/ManagementWorklistsPage.razor.rz.scp.css */
.row[b-tbzdxpdoj4] {
  display: flex;
  gap: 1rem;
  margin: 0;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
/* /Areas/Analysis/Components/ManagementWorklists/MatingOverviewForAnalysisListItem.razor.rz.scp.css */
.row[b-7j1i0fctg5] {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.text-lightgray[b-7j1i0fctg5] {
  color: lightgray;
}

.text-gray[b-7j1i0fctg5] {
  color: gray;
}

.centered-content[b-7j1i0fctg5] {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0;
}

.centered-vertical[b-7j1i0fctg5] {
  display: flex;
  align-items: center;
  padding: 0;
}
/* /Areas/Analysis/Components/ManagementWorklists/MatingOverviewForAnalysisPage.razor.rz.scp.css */
[b-0icyxe3m3i] .animal-mark {
  min-width: 124px;
}

[b-0icyxe3m3i] .check {
  min-width: 46px;
}
/* /Areas/Animals/Boars/Components/Detail/BoarDetailPage.razor.rz.scp.css */
.text-lightgray[b-c2obtfv45k] {
  color: lightgray;
}

.text-gray[b-c2obtfv45k] {
  color: gray;
}
/* /Areas/Animals/MotherPigs/Components/Detail/MotherPigDetailPage.razor.rz.scp.css */
.text-lightgray[b-5ghh4gdnur] {
  color: lightgray;
}

.text-gray[b-5ghh4gdnur] {
  color: gray;
}

.row[b-5ghh4gdnur] {
  display: flex;
  gap: 1rem;
  margin: 0;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
/* /Areas/BayPlanning/Components/Overview/BayPlanningPage.razor.rz.scp.css */
.row[b-6pf10pnd5o] {
  display: flex;
  gap: 1rem;
  margin: 0;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
/* /Areas/BayPlanning/Components/Overview/Stables/StableCombinationTile.razor.rz.scp.css */
.rounded-border[b-1n4lp487a8] {
  text-decoration: none !important;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.12);
  border-radius: 0.6rem;
  padding: 1rem;
  min-width: 9rem;
  min-height: 9rem;
  background-color: white;
  color: rgb(0, 0, 0);
  flex: 1 1;
  align-content: center;
}
.rounded-border[b-1n4lp487a8]  .bi {
  color: #2c2c2c;
}
.rounded-border :hover[b-1n4lp487a8] {
  text-decoration: none !important;
  color: #A66844;
}
.rounded-border.disabled[b-1n4lp487a8] {
  background-color: rgb(228, 228, 228);
  color: gray;
  border-color: gray;
}

.centered-content[b-1n4lp487a8] {
  flex-direction: column;
}
/* /Areas/BayPlanning/Components/Transfer/BayTransferListItem.razor.rz.scp.css */
.bay span[b-l2f9zf8qhk] {
  font-size: 1.8rem;
  font-weight: bold;
}
.bay .text-detail[b-l2f9zf8qhk] {
  font-size: 0.8rem;
  color: gray;
}
.bay .text[b-l2f9zf8qhk] {
  font-size: 0.8rem;
}
/* /Areas/BayPlanning/Components/Transfer/BayTransferPage.razor.rz.scp.css */
#selection-info[b-4tj1peymhr] {
  bottom: 66px;
  background-color: #BF9780;
  color: #F2F2F2;
}
#selection-info strong[b-4tj1peymhr] {
  color: #803500;
}
#selection-info[b-4tj1peymhr]  .bi {
  font-size: 2.5rem !important;
}

.bay-list[b-4tj1peymhr] {
  padding-bottom: 168px;
}

[b-4tj1peymhr] .bay {
  /* border: 2px solid $pgfBrownLight; */
  text-decoration: none !important;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.12);
  border-radius: 0.6rem;
  background-color: white;
  color: rgb(0, 0, 0);
  width: 100%;
}

.vertical-line[b-4tj1peymhr] {
  border-left: 4px solid lightgray;
  height: 100%;
  min-height: 80vh;
  display: block;
  margin-left: 12px;
}

[b-4tj1peymhr] .arrow-icon {
  color: lightgray;
  font-size: 30px;
}

.blocked[b-4tj1peymhr] {
  opacity: 0.5;
  pointer-events: none;
}

[b-4tj1peymhr] .form-select {
  color: #595959;
  font-weight: 500;
  padding-right: 32px;
}

[b-4tj1peymhr] option {
  color: #595959;
  font-weight: 500;
}

@media (min-width: 1200px) {
  #selection-info[b-4tj1peymhr] {
    bottom: 0;
  }
  #selection-info .row[b-4tj1peymhr] {
    max-width: 680px;
    margin: 0 auto;
  }
  [b-4tj1peymhr] .form-select {
    font-size: 1.2rem;
  }
}
/* /Areas/Dashboard/DashboardPage.razor.rz.scp.css */
.row[b-aiehb5s5e5] {
  display: flex;
  gap: 1rem;
  margin: 0;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
/* /Areas/Disposition/Components/BaySelection.razor.rz.scp.css */
.fixed-width-input[b-pfbxrv58ft] {
  width: 6.8em;
}
/* /Areas/Disposition/Components/DispositionMotherPigPage.razor.rz.scp.css */
.align-tables-filler[b-joikqwedup] {
  height: 2.5rem;
}

@media (min-width: 992px) {
  .larger-column[b-joikqwedup] {
    flex: 0 0 auto;
    width: 61%;
  }
  .smaller-column[b-joikqwedup] {
    flex: 0 0 auto;
    width: 39%;
  }
}
/* /Areas/Disposition/Components/DispositionSuggestionsTable.razor.rz.scp.css */
.suggestion-table[b-4qs8r9ds5l] {
  font-size: 0.65rem;
  max-height: 800px;
}
.suggestion-table[b-4qs8r9ds5l]  .btn,
.suggestion-table[b-4qs8r9ds5l]  .form-select,
.suggestion-table[b-4qs8r9ds5l]  .form-control,
.suggestion-table[b-4qs8r9ds5l]  .table {
  font-size: inherit;
}

.suggestion-table-mobile[b-4qs8r9ds5l] {
  max-height: 400px;
}
/* /Areas/Disposition/Components/ExistingDispositionsTable.razor.rz.scp.css */
.disposition-table[b-j7llb4s5jr] {
  max-height: 800px;
  font-size: 0.65rem;
}
.disposition-table[b-j7llb4s5jr]  .btn,
.disposition-table[b-j7llb4s5jr]  .form-select,
.disposition-table[b-j7llb4s5jr]  .form-control,
.disposition-table[b-j7llb4s5jr]  .table {
  font-size: inherit;
}

.disposition-table-mobile[b-j7llb4s5jr] {
  max-height: 400px;
}
/* /Areas/Disposition/Components/FarrowingFarmsTable.razor.rz.scp.css */
.small-font[b-6sktk38tsb] {
  font-size: 0.65rem;
}
.small-font[b-6sktk38tsb]  .btn,
.small-font[b-6sktk38tsb]  .form-select,
.small-font[b-6sktk38tsb]  .form-control,
.small-font[b-6sktk38tsb]  .table {
  font-size: inherit;
}
/* /Areas/Farms/Shared/Components/FarrowingFarmSelection.razor.rz.scp.css */
.fixed-width-input[b-j228mcy6pq] {
  width: 6.8em;
}
/* /Areas/Home/HomePage.razor.rz.scp.css */
#onboarding-container[b-5u2h3xmgd5] {
  background-image: url(/img/backgrounds/onboarding.jpg);
  background-size: cover;
  height: 60vh;
}

#onboarding-logo img[b-5u2h3xmgd5] {
  max-width: 85vw;
}

.rollup[b-5u2h3xmgd5] {
  margin-top: -2rem;
  background-color: #F2F2F2;
  border-radius: 0.6rem 0.6rem 0 0;
  min-height: 50vh;
}

@media (min-width: 1200px) {
  #onboarding-logo img[b-5u2h3xmgd5] {
    max-width: 680px;
  }
  #onboarding-container[b-5u2h3xmgd5] {
    background-position: center;
    height: 100vh;
  }
  .rollup[b-5u2h3xmgd5] {
    border-radius: 0.6rem;
    max-width: 800px;
    margin: -2rem auto;
    bottom: initial;
    top: 20vh;
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.12);
  }
  .rollup .fixed-bottom[b-5u2h3xmgd5] {
    position: relative;
  }
}
/* /Areas/Litters/Components/Detail/LitterDetailPage.razor.rz.scp.css */
.text-gray[b-4mf0941r2j] {
  color: gray;
}
/* /Areas/Litters/Components/Insert/Assistant/Steps/LitterCausesOfLossStep.razor.rz.scp.css */
.form-label[b-un6kath734] {
  flex: 1;
}

[b-un6kath734] .form-control {
  width: 56px;
}
/* /Areas/Litters/Components/Insert/Assistant/Steps/LitterObservationsStep.razor.rz.scp.css */
.form-label[b-g2conp6bga] {
  flex: 1;
}

[b-g2conp6bga] .form-control {
  width: 56px;
}
/* /Areas/Litters/Components/Overview/LitterOverviewListItem.razor.rz.scp.css */
.row[b-4btkdik6si] {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.text-lightgray[b-4btkdik6si] {
  color: lightgray;
}

.text-gray[b-4btkdik6si] {
  color: gray;
}

.centered-content[b-4btkdik6si] {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0;
}

.centered-vertical[b-4btkdik6si] {
  display: flex;
  align-items: center;
  padding: 0;
}
/* /Areas/Manage/ManageDashboardPage.razor.rz.scp.css */
.row[b-kvrzcsixfb] {
  display: flex;
  gap: 1rem;
  margin: 0;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}
/* /Areas/Matings/Components/InsertMatingBook/CreateMatingsMatingBookPage.razor.rz.scp.css */
[b-b3tk0uffqf] .animal-mark {
  min-width: 124px;
}

[b-b3tk0uffqf] .check {
  min-width: 46px;
}
/* /Areas/Matings/Components/Insert/MatingBoarsPage.razor.rz.scp.css */
.progress-bar[b-uuc1220hg8]::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 0.3rem;
  height: 100%;
  background-color: #000; /* Adjust color as needed */
  z-index: 2;
}

.centered-content[b-uuc1220hg8] {
  flex-direction: column;
}
/* /Areas/Matings/Components/Insert/MatingMotherPigsPage.razor.rz.scp.css */
.progress-bar[b-uqu71i6xrn]::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 0.3rem;
  height: 100%;
  background-color: #000; /* Adjust color as needed */
  z-index: 2;
}
/* /Areas/Matings/Components/Insert/MatingSummaryPage.razor.rz.scp.css */
.progress-bar[b-2cocxbl6ch]::after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 0.3rem;
  height: 100%;
  background-color: #000; /* Adjust color as needed */
  z-index: 2;
}
/* /Areas/Matings/Components/Overview/MatingOverviewListItem.razor.rz.scp.css */
.row[b-pwiy0dsmsb] {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.text-lightgray[b-pwiy0dsmsb] {
  color: lightgray;
}

.text-gray[b-pwiy0dsmsb] {
  color: gray;
}

.centered-content[b-pwiy0dsmsb] {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0;
}

.centered-vertical[b-pwiy0dsmsb] {
  display: flex;
  align-items: center;
  padding: 0;
}
/* /Areas/Matings/Components/Overview/MotherPigSelector.razor.rz.scp.css */
.row[b-yhsktq33w8] {
  display: flex;
  gap: 0.5rem;
  margin: 0;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.centered-content[b-yhsktq33w8] {
  flex-direction: column;
}
/* /Areas/Shared/DashboardTile/DashboardTile.razor.rz.scp.css */
.rounded-border[b-33s4bsh9kz] {
  text-decoration: none !important;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.12);
  border-radius: 0.6rem;
  padding: 1rem;
  min-width: 9rem;
  min-height: 9rem;
  background-color: white;
  color: rgb(0, 0, 0);
  flex: 1 1;
  align-content: center;
}
.rounded-border[b-33s4bsh9kz]  .bi {
  color: #2c2c2c;
}
.rounded-border :hover[b-33s4bsh9kz] {
  text-decoration: none !important;
  color: #A66844;
}
.rounded-border.disabled[b-33s4bsh9kz] {
  background-color: rgb(228, 228, 228);
  color: gray;
  border-color: gray;
}

.centered-content[b-33s4bsh9kz] {
  flex-direction: column;
}
/* /Areas/Shared/KeyValuePairWithIcon/KeyValuePairWithIcon.razor.rz.scp.css */
.text-lightgray[b-lsuiut0a0q] {
  color: lightgray;
}

.text-gray[b-lsuiut0a0q] {
  color: gray;
}
/* /Shared/CalendarWeekSelection/CalendarWeekSelection.razor.rz.scp.css */
.input-narrow[b-xn6x89ueis] {
  width: 6rem;
}
/* /Shared/Devices/QrCodes/QrCodeScanner.razor.rz.scp.css */
.scancontainer[b-t1wmz7bksq] {
  position: fixed !important;
  overflow: hidden;
  top: 48px;
  left: 0;
  right: 0;
  bottom: 66px;
  background-color: rgb(0, 0, 0);
}
.scancontainer[b-t1wmz7bksq]  video {
  width: auto !important;
  height: 100vh;
  margin: 0 auto;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
  min-width: 100%;
}
.scancontainer[b-t1wmz7bksq]  #qr-shaded-region {
  border-width: 42px !important;
}

@media (min-width: 1200px) {
  .scancontainer[b-t1wmz7bksq] {
    top: 0;
    bottom: 0;
    z-index: 1030;
  }
}
/* /Shared/FloatingActionButton/FloatingActionButton.razor.rz.scp.css */
.fab[b-xvtqp23kry] {
  right: 18px;
  bottom: 86px;
  width: 56px;
  height: 56px;
  border-radius: 28px;
  background-color: #803500;
  color: white;
  font-size: 38px;
  text-align: center;
  z-index: 2;
  box-shadow: 1px 1px 8px rgba(0, 0, 0, 0.25);
  transition: transform 0.1s ease-in, background-color 0.1s ease-in;
  border: none;
  display: flex;
  justify-content: center;
  align-items: center;
}
.fab[b-xvtqp23kry]  i {
  display: flex;
}
.fab:hover[b-xvtqp23kry], .fab :focus[b-xvtqp23kry] {
  background-color: #A66844;
  color: white;
  cursor: pointer;
}
.fab.disabled[b-xvtqp23kry] {
  pointer-events: none;
  background-color: lightgray;
  box-shadow: 1px 1px 8px rgba(0, 0, 0, 0.12);
  transform: scale(0.9);
}
.fab.loading[b-xvtqp23kry] {
  pointer-events: none;
}
.fab .spinner[b-xvtqp23kry] {
  vertical-align: middle;
}
.fab[b-xvtqp23kry]  .spinner-dots {
  margin-top: 6px;
}
/* /Shared/Pwa/OfflineIndication/Components/ConnectivityDisplay.razor.rz.scp.css */
#connectivity-display[b-4i1bj4m74n] {
  background-color: rgb(168, 59, 59);
  color: #F2F2F2;
  max-width: 50vw;
  transform: translateX(50%);
  border-radius: 0 0 0.6rem 0.6rem;
  font-size: 0.8rem;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.12);
}
#connectivity-display[b-4i1bj4m74n]  .bi {
  color: #F2F2F2 !important; /*ugly important, but blazor uses important so it needs to be overwritten with important*/
}
/* /Shell/Layout/MainNavMenu.razor.rz.scp.css */
#main-nav[b-singog4q8q] {
  background-color: #A66844;
}
#main-nav .nav-item[b-singog4q8q] {
  flex: 3;
}
#main-nav .nav-item .nav-link-content[b-singog4q8q] {
  color: #F2F2F2;
}
#main-nav .nav-item .nav-link-content[b-singog4q8q]  .bi {
  font-size: 1.2rem;
}
#main-nav .nav-item .nav-link-content .nav-link-label[b-singog4q8q] {
  font-size: 0.75em;
  font-weight: normal;
}
#main-nav .nav-item .nav-link-content[b-singog4q8q]  .img-icon {
  filter: invert(100%);
  height: 32px;
}
#main-nav .nav-item .nav-link.active .nav-link-content[b-singog4q8q] {
  color: white;
}
#main-nav .nav-item .nav-link.active .nav-link-content .nav-link-label[b-singog4q8q] {
  font-weight: bold;
}
/* /Shell/Layout/TitleBar.razor.rz.scp.css */
#title-bar[b-w350todlr4] {
  background-color: #A66844;
  color: white;
}
#title-bar #titlebar-action[b-w350todlr4] {
  font-size: 32px;
  color: white;
  cursor: pointer;
}
/* /Shell/Layout/UserNavMenu.razor.rz.scp.css */
.top-row[b-oh6bxa89hu] {
  background-color: #A66844;
  border-bottom: 1px solid #d6d5d5;
  justify-content: flex-end;
  height: 3.5rem;
  display: flex;
  align-items: center;
  height: 4rem;
  border: none;
}
.top-row a[b-oh6bxa89hu], .top-row .btn-link[b-oh6bxa89hu] {
  white-space: nowrap;
  margin-left: 1.5rem;
  text-decoration: none;
}
.top-row a:first-child[b-oh6bxa89hu] {
  overflow: hidden;
  text-overflow: ellipsis;
}

@media (max-width: 1199.98px) {
  .top-row[b-oh6bxa89hu] {
    justify-content: space-between;
  }
  .top-row a[b-oh6bxa89hu], .top-row .btn-link[b-oh6bxa89hu] {
    margin-left: 0;
  }
}
.navbar-toggler[b-oh6bxa89hu] {
  appearance: none;
  cursor: pointer;
  width: 3rem;
  height: 3rem;
  border-radius: 0.6rem;
  color: white;
  position: absolute;
  top: 0.5rem;
  left: 1rem;
  background-color: white;
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.12);
}
.navbar-toggler[b-oh6bxa89hu]  .bi {
  color: #A66844 !important;
}
.navbar-toggler:focus[b-oh6bxa89hu] {
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.12);
}
.navbar-toggler:checked[b-oh6bxa89hu] {
  background-color: rgba(255, 255, 255, 0.5);
}
.navbar-toggler:checked ~ .nav-scrollable[b-oh6bxa89hu] {
  display: block;
}

.nav-scrollable[b-oh6bxa89hu] {
  background-color: #BF9780;
}

.navbar-brand[b-oh6bxa89hu] {
  margin-left: 3.3rem;
}

.nav-item[b-oh6bxa89hu] {
  font-size: 1.1rem;
  padding-bottom: 0.5rem;
}
.nav-item:first-of-type[b-oh6bxa89hu] {
  padding-top: 1rem;
}
.nav-item:last-of-type[b-oh6bxa89hu] {
  padding-bottom: 1rem;
}
.nav-item .navbar-nav[b-oh6bxa89hu] {
  margin-left: 36px;
  margin-bottom: 1rem;
  font-size: 1rem;
}

.nav-item-title[b-oh6bxa89hu], .nav-item-caption[b-oh6bxa89hu] {
  line-height: 1;
}

.nav-item[b-oh6bxa89hu]  .nav-link {
  color: #d7d7d7;
  height: 3rem;
  display: flex;
  align-items: center;
  padding: 1rem;
  border-radius: 0.6rem;
  color: white;
}
.nav-item[b-oh6bxa89hu]  .nav-link .bi {
  font-size: 1.2rem;
  padding-right: 1rem;
}
.nav-item[b-oh6bxa89hu]  .nav-link .nav-item-caption {
  font-size: 0.9rem;
  color: lightgray;
}
.nav-item[b-oh6bxa89hu]  a.active {
  color: white;
}
.nav-item[b-oh6bxa89hu]  .nav-link:hover {
  background-color: rgba(255, 255, 255, 0.1);
  color: white;
}

@media (min-width: 1200px) {
  #userNavMenuContent[b-oh6bxa89hu] {
    position: relative;
    z-index: 2;
    top: 18px;
    border-bottom-left-radius: 0.6rem;
    border-bottom-right-radius: 0.6rem;
  }
  .top-row[b-oh6bxa89hu] {
    background: none;
    position: sticky;
    top: 0;
    z-index: 2;
    padding-left: 2rem !important;
    padding-right: 1.5rem !important;
  }
  .top-row.auth a:first-child[b-oh6bxa89hu] {
    flex: 1;
    text-align: right;
    width: 0;
  }
  .top-row .navbar-brand[b-oh6bxa89hu] {
    color: #803500;
    font-size: 1rem;
    margin-left: 8px;
    margin-right: 28px;
  }
  .top-row .navbar-toggler[b-oh6bxa89hu] {
    left: initial;
    right: 0;
    border: 2px solid #BF9780;
  }
  .sidebar[b-oh6bxa89hu] {
    background: none;
  }
  .nav-item[b-oh6bxa89hu] {
    font-size: 1rem;
  }
  .nav-item .navbar-nav[b-oh6bxa89hu] {
    font-size: 0.9rem;
  }
  .nav-item .nav-link[b-oh6bxa89hu] {
    height: 2.25rem;
  }
}
